Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1778945

Description of problem:

Hammer filter create does not work if default organization is set.

Version-Release number of selected component (if applicable):

Satellite 6.4

How reproducible:

100%

Steps to Reproduce:

1. Create a role with an organization

1. hammer role create --name test2 --organization "Default Organization"

2. Set the Default Organization

1. cat .hammer/defaults.yml

---

:defaults:

:organization:

:value: Default Organization

:organization_id:

:value: '1'

3. Try to create the filter for this role, It will fail with error

1. hammer filter create --role test --search 'name = testfilter' --permissions view_organizations

Could not create the permission filter:

Internal Server Error: the server was unable to finish the request. This may be caused by unavailability of some required service,

incorrect API call or a server-side bug. There may be more information in the server's logs.

4. Now remove the defaults file then it will work.

1. mv .hammer/defaults.yml /tmp/

1. hammer filter create --role test --search 'name = testfilter' --permissions view_organizations

Permission filter for [Organization] created.
Actual results:

Hammer fails to create the filter if default organization is set.

Expected results:

Hammer should be able to create the filter if default organization is set.

Additional Info:-

Same issue is also reproducible on Satellite 6.6

Related issues:

Related to Foreman - Bug #29065: Hammer filter create fails if default locati... Closed

Associated revisions

Revision 50af07da - 02/20/2020 07:50 AM - Shira Maximov

Fixes #29056 - Fix API filter creation in case of organization_id exists

History

#1 - 02/18/2020 08:42 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Shira Maximov

- Pull request https://github.com/theforeman/foreman/pull/7447 added

#2 - 02/19/2020 10:01 AM - Tomer Brisker

- Related to Bug #29065: Hammer filter create fails if default location is set. added

#3 - 02/20/2020 07:50 AM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#4 - 02/20/2020 08:01 AM - Shira Maximov

- Status changed from Ready For Testing to Closed

Applied in changeset 50af07daecf3147059443a1c362ab64aa64be064.

#5 - 05/14/2020 07:29 AM - Amit Upadhye

- Category set to API
